# strings as factors (the default) occasionally causes weird, difficult to 
# debug problems; the opposite also occasionally causes problems, but they
# are easy to identify and fix
options(stringsAsFactors = F)

library(ggplot2)
library(readr)

datafile = "Data/DLC-LH-Table_2019-02-05.csv"
plotfile = "plots/female-v-male-weight_plot.png"

lhdata = read_csv(datafile)

p = ggplot(lhdata, aes(x=M_Mean_M_AdultWeight_g, y=M_Mean_F_AdultWeight_g)) + 
  geom_point() +
  geom_abline(intercept=0, slope=1) +
  labs(x="mean male weight (g)", y="mean female weight (g)") +
  theme_bw() + 
  coord_fixed()

png(file=plotfile, width=1000, height=1000, res=200)
print(p)
dev.off() # device.off = stop plotting